import request  from '@/utils/request'

// 在谈线索-柱状图
export function getIndexEharts(query) {
  return request({
    url: '/bmProject/project/projectEharts',
    method: 'post',
    params: query
  })
}
// 确认审核
export function setPass(data) {
  return request({
    url: '/bmProject/project/pass',
    method: 'post',
    data
  })
}
// 在谈线索-柱状图
export function getProjectUnitAmountEharts(query) {
  return request({
    url: '/deptPlan/plan/projectUnitAmountEharts',
    method: 'post',
    params: query
  })
}
// 统计分析-投产项目-柱状图
export function getProjectInvestmentEharts(query) {
  return request({
    url: '/deptPlan/plan/projectInvestmentEharts',
    method: 'post',
    params: query
  })
}
// 签约项目-柱状图
export function getProjectContractEharts(query) {
  return request({
    url: '/bmProject/project/projectContractEharts',
    method: 'post',
    params: query
  })
}
// 获取用户详细信息
export function getStatisticst(ids) {
  return request({
    url: `/bmProject/project/statistics/${ids}`,
    method: 'get'
  })
}
// 统计分析公共-销号
export function delProject(ids) {
  return request({
    url: `/bmProject/project/${ids}`,
    method: 'DELETE'
  })
}
// 审核/提交
export function setExamine(data) {
  return request({
    url: '/bmProject/project/examine',
    method: 'post',
    data
  })
}
// 驳回项目
export function setReject(data) {
  return request({
    url: '/bmProject/project/reject',
    method: 'post',
    data
  })
}
// 统计分析-在谈线索-榜单
export function getUnitClueList() {
  return request({
    url: '/deptPlan/plan/unitClueList',
    method: 'post'
  })
}

// 统计分析-在谈线索-市直榜单
export function getUnitClueListCity() {
  return request({
    url: '/deptPlan/plan/unitClueListCity',
    method: 'post'
  })
}

// 统计分析-签约项目-榜单
export function getUnitAmountList() {
  return request({
    url: '/deptPlan/plan/targetSigningList',
    method: 'post'
  })
}

// 统计分析-在建项目-两区及乡镇榜单
export function setProjectAreaAmountUnit() {
  return request({
    url: '/deptPlan/plan/projectAreaAmountUnit',
    method: 'post'
  })
}
// 统计分析-在建项目-市直榜单
export function setProjectUnitAmountUnit() {
  return request({
    url: '/deptPlan/plan/projectUnitAmountUnit',
    method: 'post'
  })
}
// 统计分析-投产项目-入规榜单
export function setInvestmentList() {
  return request({
    url: '/deptPlan/plan/investmentList',
    method: 'post'
  })
}

// 统计分析-投产项目-市直榜单
export function setInvestmentCityList() {
  return request({
    url: '/deptPlan/plan/investmentCityList',
    method: 'post'
  })
}
// 统计分析-在建项目-资金榜单
export function getTotAmtList() {
  return request({
    url: '/deptPlan/plan/totAmtList',
    method: 'post'
  })
}
